-- 武林大会匹配成功进入场景的倒计时
Lua_WulinMatchCompleteCDWindow = class("Lua_WulinMatchCompleteCDWindow", Lua_FullSizeWindow);
function Lua_WulinMatchCompleteCDWindow:ctor()
	self:superCall("ctor", false, true, 4000, false, false, false);

	self.windowName = "Lua_WulinMatchCompleteCDWindow";
	self.skinName = "WulinMatchCompleteCDWindow_skin";
	self.blackAlpha = 0.5;
end

function Lua_WulinMatchCompleteCDWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.timeNum = Lua_NumberImage.new(self.content);
	self.timeNum.prefix = "a_";
	self.timeNum:setDepth(3);
	self.timeNum:setLocation(0, -29, 0);
end

function Lua_WulinMatchCompleteCDWindow:showWin(param)
	self.leftTime = tonumber(param);
	if self.leftTime == nil or self.leftTime <= 0 then
		self:hide();
		return;
	end

	self.timeNum:setEnable(true);
	self.timeNum.num = self.leftTime;
	self.timeNum:setLocation(-self.timeNum.width / 2, -29);
	if self.bRegisterTimer ~= true then
		self.bRegisterTimer = true;
		Lua_CommonUtil.addTimer("Lua_WulinMatchCompleteCDWindow", 1, self, self.updateWulinMatchOverTime, nil);
	end
end

function Lua_WulinMatchCompleteCDWindow:updateWulinMatchOverTime()
	self.leftTime = self.leftTime - 1;
	if self.leftTime <= 0 then
		self.leftTime = 0;
		self:clearTimer();
		self.timeNum:setEnable(false);
		return;
	end
	self.timeNum.num = self.leftTime;
	self.timeNum:setLocation(-self.timeNum.width / 2, -29);
end

function Lua_WulinMatchCompleteCDWindow:clearTimer()
	if self.bRegisterTimer == true then
		self.bRegisterTimer = false;
		Lua_CommonUtil.removeTimer(self, self.updateWulinMatchOverTime);
	end
end

function Lua_WulinMatchCompleteCDWindow:dispose()
	if self.timeNum ~= nil then
		self.timeNum:dispose();
		self.timeNum = nil;
	end
	self:clearTimer();

	self:superCall("dispose");
end